## org.h2.mvstore
Class Chunk

    java.lang.Object
      org.h2.mvstore.Chunk

    public class Chunk

extends java.lang.Object

A chunk of data, containing one or multiple pages.

Chunks are page aligned (each page is usually 4096 bytes). There are at most 67 million (2^26) chunks, each chunk is at most 2 GB large. File format: 1 byte: 'c' 4 bytes: length 4 bytes: chunk id (an incrementing number) 4 bytes: pageCount 8 bytes: metaRootPos 8 bytes: maxLengthLive [ Page ] *

Method Summary
`java.lang.String` `asString()` Get the chunk data as a string.
`boolean` `equals(java.lang.Object o)`
`static Chunk` `fromString(java.lang.String s)` Build a block from the given string.
`int` `getFillRate()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### fromString

    public static Chunk fromString(java.lang.String s)

  Build a block from the given string.

  Parameters:
    `s` - the string
  Returns:
    the block

### getFillRate

    public int getFillRate()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### asString

    public java.lang.String asString()

  Get the chunk data as a string.

  Returns:
    the string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`